package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.bopdecbo.*;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Dbcgrp extends AbstractCommonVo {
    Dbc bas;
    Dbk dcl;
    Dbp vrf;

    @Override
    public void reset() {
        if(bas == null){
            bas = new Dbc();
        }
        if(dcl == null){
            dcl = new Dbk();
        }
        if(vrf == null){
            vrf = new Dbp();
        }
    }
}
